# Generated by Django 2.2.19 on 2021-09-27 13:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Campaign',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
            options={
                'verbose_name': 'campaign',
                'verbose_name_plural': 'campaigns',
            },
        ),
        migrations.CreateModel(
            name='Fundraiser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
            ],
            options={
                'verbose_name': 'fundraiser',
                'verbose_name_plural': 'fundraisers',
            },
        ),
        migrations.CreateModel(
            name='DirectDebit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(blank=True, max_length=255, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=255, verbose_name='last name')),
                ('sex', models.CharField(blank=True, choices=[('M', 'M'), ('F', 'F')], max_length=1, verbose_name='sex')),
                ('date_of_birth', models.DateField(blank=True, null=True, verbose_name='date of birth')),
                ('street', models.CharField(blank=True, max_length=255, verbose_name='street')),
                ('building', models.CharField(blank=True, max_length=255, verbose_name='building')),
                ('flat', models.CharField(blank=True, max_length=255, verbose_name='flat')),
                ('town', models.CharField(blank=True, max_length=255, verbose_name='town')),
                ('postal_code', models.CharField(blank=True, max_length=255, verbose_name='postal code')),
                ('phone', models.CharField(blank=True, max_length=255, verbose_name='phone')),
                ('email', models.CharField(blank=True, max_length=255, verbose_name='e-mail')),
                ('iban', models.CharField(blank=True, max_length=255, verbose_name='IBAN')),
                ('is_consumer', models.BooleanField(default=True, verbose_name='is a consumer')),
                ('payment_id', models.CharField(blank=True, max_length=255, unique=True, verbose_name='payment identifier')),
                ('agree_fundraising', models.BooleanField(verbose_name='agree fundraising')),
                ('agree_newsletter', models.BooleanField(verbose_name='agree newsletter')),
                ('acquisition_date', models.DateField(help_text='Date from the form', verbose_name='acquisition date')),
                ('submission_date', models.DateField(blank=True, help_text='Date the fundaiser submitted the form', null=True, verbose_name='submission date')),
                ('bank_submission_date', models.DateField(blank=True, help_text='Date when the form data is submitted to the bank', null=True, verbose_name='bank submission date')),
                ('bank_acceptance_date', models.DateField(blank=True, help_text='Date when bank accepted the form', null=True, verbose_name='bank accepted date')),
                ('fundraiser_commission', models.IntegerField(blank=True, null=True, verbose_name='fundraiser commission')),
                ('fundraiser_bill', models.CharField(blank=True, max_length=255, verbose_name='fundaiser bill number')),
                ('amount', models.IntegerField(verbose_name='amount')),
                ('notes', models.TextField(blank=True, verbose_name='notes')),
                ('needs_redo', models.BooleanField(default=False, verbose_name='needs redo')),
                ('is_cancelled', models.BooleanField(default=False, verbose_name='is cancelled')),
                ('optout', models.BooleanField(default=False, verbose_name='optout')),
                ('campaign', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='pz.Campaign')),
                ('fundraiser', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='pz.Fundraiser')),
            ],
            options={
                'verbose_name': 'direct debit',
                'verbose_name_plural': 'direct debits',
            },
        ),
    ]
